org.flexdock.docking.activation

## Class ActiveDockableListener

- java.lang.Object
- - org.flexdock.docking.activation.ActiveDockableListener

- All Implemented Interfaces:
    java.awt.event.AWTEventListener, java.beans.PropertyChangeListener, java.util.EventListener, javax.swing.event.ChangeListener, DockingConstants

      public class ActiveDockableListener
      extends java.lang.Object
      implements DockingConstants, java.beans.PropertyChangeListener, javax.swing.event.ChangeListener, java.awt.event.AWTEventListener

  Author:
    Christopher Butler

- - ### Field Summary

    - ### Fields inherited from interface org.flexdock.docking.DockingConstants

      `ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `eventDispatched(java.awt.AWTEvent event)`
    `static ActiveDockableListener` | `getInstance()`
    `static void` | `prime()`
    `void` | `propertyChange(java.beans.PropertyChangeEvent evt)`
    `void` | `stateChanged(javax.swing.event.ChangeEvent e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### prime

          public static void prime()

    - #### getInstance

          public static ActiveDockableListener getInstance()

    - #### eventDispatched

          public void eventDispatched(java.awt.AWTEvent event)

      Specified by:
        `eventDispatched` in interface `java.awt.event.AWTEventListener`

    - #### propertyChange

          public void propertyChange(java.beans.PropertyChangeEvent evt)

      Specified by:
        `propertyChange` in interface `java.beans.PropertyChangeListener`

    - #### stateChanged

          public void stateChanged(javax.swing.event.ChangeEvent e)

      Specified by:
        `stateChanged` in interface `javax.swing.event.ChangeListener`